%define upstream_name    Test-WWW-Mechanize-LibXML
%define upstream_version v0.0.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Use HTML::TreeBuilder::LibXML for testing
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::TreeBuilder::LibXML)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(MRO::Compat)
BuildArch: noarch


%description
This module inherits from the Test::WWW::Mechanize manpage, and allows one
to utilize the HTML::TreeBuilder::LibXML manpage to perform XPath and the
HTML::TreeBuilder manpage queries on the tree.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.0.4-6.mga6
+ Revision: 1034809
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.4-5.mga6
+ Revision: 948372
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.0.4-4.mga5
+ Revision: 787827
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.4-2.mga5
+ Revision: 686570
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.0.4-1.mga5
+ Revision: 619619
- update to v0.0.4

* Fri Oct 18 2013 umeabot <umeabot> 0.0.2-4.mga4
+ Revision: 515381
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.2-3.mga3
+ Revision: 373906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.0.2-2.mga1
+ Revision: 41287
- mageia rebuild
- imported package perl-Test-WWW-Mechanize-LibXML


* Tue Dec 07 2010 Shlomi Fish <shlomif@mandriva.org> 0.0.2-2mdv2011.0
+ Revision: 614461
- Add a missing dep - MRO::Compat
- import perl-Test-WWW-Mechanize-LibXML

